# Code of Conduct

## Contributor Covenant Code of Conduct

### A CIVIL HUMAN Ethic

As a community of people desiring to work together in a peaceful and respectful manner, we agree to abide by the [CIVIL HUMAN Ethic](https://worlduniting.org/a-civil-human-ethic).

**H.U.M.A.N. Conduct**

In order to build and sustain common ground, as we interact within our community, we agree to be:

* (H)onest about what we have observed and what we cannot observe,
* (U)nderstandable to make sure all people can understand us,
* (M)easurable by providing measurable proof to support our claims,
* (A)chievable by only asking of each other what we can achieve without suffering,
* (N)egotiable by changing our conduct so that we remain HUMAN and CIVIL.

**C.I.V.A.L. Respect**

In order to maintain a peaceful and respectful community, we agree to respect our basic human needs to exercise our own distinct:

* (C)reed concerning those questions that we cannot yet answer or observe,
* (I)ndependence from physical, verbal or written control, coersion or abuse
* (V)ote for those who will hold control over us,
* (I)ntimacy with the person we choose to intimately love,
* (L)ifestyle and pursuit of happiness.

### Enforcement Responsibilities

As members of our community, every person is responsible for clarifying and enforcing these standards of acceptable behavior and will take appropriate and fair corrective action in response to any behavior that they deem violates any aspect of our CIVIL HUMAN Ethic.

Community leaders have the right and responsibility to remove, edit, or reject
comments, commits, code, wiki edits, issues, and other contributions that are
not aligned to this Code of Conduct, and will communicate reasons for moderation
decisions when appropriate.

### Scope

This Code of Conduct applies within all community spaces, and also applies when
an individual is officially representing the community in public spaces.
Examples of representing our community include using an official e-mail address,
posting via an official social media account, or acting as an appointed
representative at an online or offline event.

### Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported to the community leaders responsible for enforcement.

All complaints will be reviewed and investigated promptly and fairly.

All community leaders are obligated to respect the privacy and security of the
reporter of any incident.

### Enforcement Guidelines

Community leaders will follow these Community Impact Guidelines in determining
the consequences for any action they deem in violation of this Code of Conduct:

#### 1. Correction

**Community Impact**: Use of inappropriate language or other behavior deemed
unprofessional or unwelcome in the community.

**Consequence**: A private, written warning from community leaders, providing
clarity around the nature of the violation and an explanation of why the
behavior was inappropriate. A public apology may be requested.

#### 2. Warning

**Community Impact**: A violation through a single incident or series
of actions.

**Consequence**: A warning with consequences for continued behavior. No
interaction with the people involved, including unsolicited interaction with
those enforcing the Code of Conduct, for a specified period of time. This
includes avoiding interactions in community spaces as well as external channels
like social media. Violating these terms may lead to a temporary or
permanent ban.

#### 3. Temporary Ban

**Community Impact**: A serious violation of community standards, including
sustained inappropriate behavior.

**Consequence**: A temporary ban from any sort of interaction or public
communication with the community for a specified period of time. No public or
private interaction with the people involved, including unsolicited interaction
with those enforcing the Code of Conduct, is allowed during this period.
Violating these terms may lead to a permanent ban.

#### 4. Permanent Ban

**Community Impact**: Demonstrating a pattern of violation of community
standards, including sustained inappropriate behavior, harassment of an
individual, or aggression toward or disparagement of classes of individuals.

**Consequence**: A permanent ban from any sort of public interaction within
the community.

### Attribution

The CIVIL HUMAN Ethic is a code of conduct developed by World Uniting International, an organization dedicated to build human common ground and peace.

For more information, visit [World Uniting International](https://worlduniting.org/a-civil-human-ethic).

This Code of Conduct has additionally been adapted from the [Contributor Covenant][homepage],
version 2.0, available at
<https://www.contributor-covenant.org/version/2/0/code_of_conduct.html>.

Community Impact Guidelines were inspired by [Mozilla's code of conduct
enforcement ladder](https://github.com/mozilla/diversity).

[homepage]: https://www.contributor-covenant.org

For answers to common questions about this code of conduct, see the FAQ at
<https://www.contributor-covenant.org/faq>. Translations are available at
<https://www.contributor-covenant.org/translations>.
